Bug 1055115 - [abrt] gmpc: connection_changed(): gmpc killed by SIGTRAP
Summary: [abrt] gmpc: connection_changed(): gmpc killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gmpc
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b9206357068558ef0a8c839cd29...
: 1226559 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 21:50 UTC by Sam Tygier
Modified: 2016-07-19 10:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:53:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.20 KB, text/plain)
2014-01-18 21:50 UTC, Sam Tygier
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-18 21:50 UTC, Sam Tygier
no flags Details
File: core_backtrace (8.91 KB, text/plain)
2014-01-18 21:50 UTC, Sam Tygier
no flags Details
File: dso_list (13.30 KB, text/plain)
2014-01-18 21:51 UTC, Sam Tygier
no flags Details
File: environ (1.42 KB, text/plain)
2014-01-18 21:51 UTC, Sam Tygier
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-18 21:51 UTC, Sam Tygier
no flags Details
File: maps (70.46 KB, text/plain)
2014-01-18 21:51 UTC, Sam Tygier
no flags Details
File: open_fds (788 bytes, text/plain)
2014-01-18 21:51 UTC, Sam Tygier
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2014-01-18 21:51 UTC, Sam Tygier
no flags Details
File: var_log_messages (282 bytes, text/plain)
2014-01-18 21:51 UTC, Sam Tygier
no flags Details

Description Sam Tygier 2014-01-18 21:50:27 UTC
Version-Release number of selected component:
gmpc-11.8.16-3.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gmpc
crash_function: connection_changed
executable:     /usr/bin/gmpc
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 connection_changed at main.c:980
 #3 mpd_connect_real at libmpd.c:717
 #4 connected_to_mpd at Tools/mpdinteraction.c:142
 #9 gtk_main at gtkmain.c:1257

Potential duplicate: bug 970226

Comment 1 Sam Tygier 2014-01-18 21:50:41 UTC
Created attachment 852131 [details]
File: backtrace

Comment 2 Sam Tygier 2014-01-18 21:50:46 UTC
Created attachment 852132 [details]
File: cgroup

Comment 3 Sam Tygier 2014-01-18 21:50:56 UTC
Created attachment 852133 [details]
File: core_backtrace

Comment 4 Sam Tygier 2014-01-18 21:51:04 UTC
Created attachment 852134 [details]
File: dso_list

Comment 5 Sam Tygier 2014-01-18 21:51:08 UTC
Created attachment 852135 [details]
File: environ

Comment 6 Sam Tygier 2014-01-18 21:51:12 UTC
Created attachment 852136 [details]
File: limits

Comment 7 Sam Tygier 2014-01-18 21:51:27 UTC
Created attachment 852137 [details]
File: maps

Comment 8 Sam Tygier 2014-01-18 21:51:31 UTC
Created attachment 852138 [details]
File: open_fds

Comment 9 Sam Tygier 2014-01-18 21:51:35 UTC
Created attachment 852139 [details]
File: proc_pid_status

Comment 10 Sam Tygier 2014-01-18 21:51:38 UTC
Created attachment 852140 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:34:19 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Sam Tygier 2015-05-30 16:50:56 UTC
Looks like this still happens in F22 bug 1226559

Comment 13 Sam Tygier 2015-05-30 16:51:37 UTC
*** Bug 1226559 has been marked as a duplicate of this bug. ***

Comment 14 Sam Tygier 2015-08-09 16:26:57 UTC
Another user experienced a similar problem:

gmpc was minimised. maybe caused by network disconnecting. 

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gmpc
crash_function: _g_log_abort
executable:     /usr/bin/gmpc
global_pid:     2525
kernel:         4.0.8-300.fc22.x86_64
package:        gmpc-11.8.16-7.fc22
reason:         gmpc killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2016-07-19 10:53:54 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.